Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.support.model.dlna
Class DLNAPlaySpeedAttribute

    java.lang.Object
      org.fourthline.cling.support.model.dlna.DLNAAttribute<AVTransportVariable.TransportPlaySpeed[]>
          org.fourthline.cling.support.model.dlna.DLNAPlaySpeedAttribute

    public class DLNAPlaySpeedAttribute

extends DLNAAttribute<AVTransportVariable.TransportPlaySpeed[]>

Author:
  Mario Franco

Nested Class Summary

Nested classes/interfaces inherited from class org.fourthline.cling.support.model.dlna.DLNAAttribute
`DLNAAttribute.Type`

Constructor Summary
`DLNAPlaySpeedAttribute()`
`DLNAPlaySpeedAttribute(AVTransportVariable.TransportPlaySpeed[] speeds)`
`DLNAPlaySpeedAttribute(String[] speeds)`

Method Summary
`String` | `getString()`
`void` | `setString(String s, String cf)`

Methods inherited from class org.fourthline.cling.support.model.dlna.DLNAAttribute
`getValue, newInstance, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DLNAPlaySpeedAttribute

    public DLNAPlaySpeedAttribute()

### DLNAPlaySpeedAttribute

    public DLNAPlaySpeedAttribute(AVTransportVariable.TransportPlaySpeed[] speeds)

### DLNAPlaySpeedAttribute

    public DLNAPlaySpeedAttribute(String[] speeds)

Method Detail

### setString

    public void setString(String s,
                          String cf)
                   throws InvalidDLNAProtocolAttributeException

  Specified by:
    `setString` in class `DLNAAttribute<AVTransportVariable.TransportPlaySpeed[]>`
  Parameters:
    `s` - This attribute's value as a string representation.
    `cf` - This attribute's mime type as a string representation, optional.
  Throws:
    `InvalidDLNAProtocolAttributeException` - If the value is invalid for this DLNA attribute.

### getString

    public String getString()

  Specified by:
    `getString` in class `DLNAAttribute<AVTransportVariable.TransportPlaySpeed[]>`
  Returns:
    A string representing this attribute's value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.